Visualizzazione risultati 1 fino 8 di 8

Discussione: Problema Installazione Joomla 4 con PHP 8

  1. #1
    L'avatar di RedWebSite
    RedWebSite non è connesso AlterGuru
    Data registrazione
    02-05-2007
    Messaggi
    1,046

    Exclamation Problema Installazione Joomla 4 con PHP 8

    Ciao, riscontro un problema durante l'installazione di joomla 4 e PHP 8.x attivo, mostra 2 messaggi che spariscono attivando php 7.3.x

    I Cookies non sono attivati nel tuo browser. Non sarai in grado di installare questo applicativo con questa caratteristica disattivata. Ci potrebbe essere anche un problema con il session.save_path del server. In questo caso, consulta il tuo fornitore di hosting se non sai come controllare o risolvere il problema.
    si è verificato un errore durante l'esecuzione della richiesta.
    0 Unknown format specifier "S"
    I messaggi spariscono e l'installazione avviene senza problemi con PHP 7.3.x. Terminata l'installazione attivando PHP 8.x sembrerebbe non esserci problemi, ma in caso riporto.

    Allego screen.

    alterjoomla sito web dedicato a joomla ed altervista - Tante guide per joomla anche su RedWebSite
    "C'è una fondamentale differenza tra la religione, che è basata sull'autorità, e la scienza, che è basata su osservazione e ragionamento. E la scienza vincerà perché funziona."

  2. #2
    darbula non è connesso AlterGuru
    Data registrazione
    24-04-2011
    Messaggi
    2,455

    Predefinito

    Da php 8
    The default error_reporting level is now E_ALL. Previously it excluded E_NOTICE and E_DEPRECATED.
    https://www.php.net/manual/en/migrat...compatible.php L' @ operatore non silenzierà più gli errori irreversibili (E_ERROR, E_CORE_ERROR, E_COMPILE_ERROR, E_USER_ERROR, E_RECOVERABLE_ERROR, E_PARSE).

    Il formato php 8 di printf e famiglia è cambiato %s, il formattatore di stringhe supporta la specifica della lunghezza della stringa. %.5 limiterebbe la stringa a 5 byte, %.10 sè per i primi 10 byte, ecc.
    Dunque errore codice di joomla, usa s minuscola. Suppongo che con la lingua nativa non avrai questo tipo di errore :)
    Mentre altervista per i file di sessione usa una cartella nascosta al di fuori della root utente che di fatto non è direttamente leggibile (per motivi di sicurezza, poiché su un server esistono diversi utenti).
    Quasi vicino, ho letto un problema simile https://issues.joomla.org/tracker/joomla-cms/20821
    Codice PHP:
    return new Handler\FilesystemHandler($path); 
    https://github.com/joomla/joomla-cms...actory.php#L79 che si riferisce a libraries/vendor/joomla/session/src/Handler/FileSystemHandler.php e vendor sarà creata con composer. Però la limitazione è nella lettura ma non in scrittura. Esattamente dovrai modificare lì il codice.

    O più probabilmente l'errore della S maiuscola non consente la corretta fruizione e quindi l'indicazione della sessione da me indicata è superflua.

    Sempre inerente al topic offre una patch per gli host configurati correttamente (ove non necessario verificare se può creare file) https://issues.joomla.org/tracker/jo...1#event-457437
    Ultima modifica di darbula : 12-09-2021 alle ore 15.10.07

  3. #3
    L'avatar di alemoppo
    alemoppo non è connesso Staff AV
    Data registrazione
    24-08-2008
    Residenza
    PU / BO
    Messaggi
    19,166

    Predefinito

    Citazione Originalmente inviato da darbula Visualizza messaggio
    Il formato php 8 di printf e famiglia è cambiato %s, il formattatore di stringhe supporta la specifica della lunghezza della stringa. %.5 limiterebbe la stringa a 5 byte, %.10 sè per i primi 10 byte, ecc.
    Non ho sinceramente capito cosa centra con il problema: hai trovato un punto dove viene utilizzato in modo errato il modificatore delle stringhe?

    Citazione Originalmente inviato da darbula Visualizza messaggio
    Dunque errore codice di joomla, usa s minuscola.
    Esatto, a quanto pare joomla utilizza "S" che non esiste, andrebbe usato invece "s".

    Citazione Originalmente inviato da darbula Visualizza messaggio
    Suppongo che con la lingua nativa non avrai questo tipo di errore :)
    Cosa intendi? In che modo viene modificato il modificatore cambiando lingua? O in tendi altro?

    Citazione Originalmente inviato da darbula Visualizza messaggio
    Quasi vicino, ho letto un problema simile https://issues.joomla.org/tracker/joomla-cms/20821
    Codice PHP:
    return new Handler\FilesystemHandler($path); 
    https://github.com/joomla/joomla-cms...actory.php#L79 che si riferisce a libraries/vendor/joomla/session/src/Handler/FileSystemHandler.php e vendor sarà creata con composer. Però la limitazione è nella lettura ma non in scrittura. Esattamente dovrai modificare lì il codice.

    O più probabilmente l'errore della S maiuscola non consente la corretta fruizione e quindi l'indicazione della sessione da me indicata è superflua.

    Sempre inerente al topic offre una patch per gli host configurati correttamente (ove non necessario verificare se può creare file) https://issues.joomla.org/tracker/jo...1#event-457437
    Questa patch è del 2019, questo codice è già presente nell'ultima versione di Joomla, quindi non c'è nulla da modificare. Oppure intendevi altro da applicare che mi sono perso?

    Ciao!
    Ultima modifica di alemoppo : 13-09-2021 alle ore 23.17.18

  4. #4
    darbula non è connesso AlterGuru
    Data registrazione
    24-04-2011
    Messaggi
    2,455

    Predefinito

    0 Unknown format specifier "S" è l'errore di sprintf, printf e famiglia ma esiste s. Tra due utenti hanno risultati diversi ma in comune il problema del session_save.path. https://forum.it.altervista.org/cms-...ml#post1474864
    Non so se il formato è inerente alla scelta iniziale della lingua.

    Il compositore crea quel file per il filesystem se nel mio ambiente locale uso il database?
    Codice PHP:
    public $session_handler 'database'// file configuration.php? 
    È l'unica idea che mi viene in mente, perché io con
    Codice PHP:
    error_reporting(-1);
    $a ini_get('session.save_handler');
    var_dump($a, !is_dir($a) && mkdir($a0775)); 
    non noto differenza tra versioni diverse di php su altervista.
    RedWebSite afferma se l'installazione è con php 7.3 e dunque dopo verrà creato e salvato
    Codice PHP:
    public $session_handler 'filesystem' // Solo da joomla 4 
    in configuration.php, sembra che potrà funzionare anche in php 8.
    Ultima modifica di darbula : 14-09-2021 alle ore 23.01.32

  5. #5
    L'avatar di RedWebSite
    RedWebSite non è connesso AlterGuru
    Data registrazione
    02-05-2007
    Messaggi
    1,046

    Predefinito

    il problema si presenta anche andando ad effettuare l'aggiornamento, il componente di aggiornamento non si "apre"

    alterjoomla sito web dedicato a joomla ed altervista - Tante guide per joomla anche su RedWebSite
    "C'è una fondamentale differenza tra la religione, che è basata sull'autorità, e la scienza, che è basata su osservazione e ragionamento. E la scienza vincerà perché funziona."

  6. #6
    L'avatar di RedWebSite
    RedWebSite non è connesso AlterGuru
    Data registrazione
    02-05-2007
    Messaggi
    1,046

    Predefinito

    Ciao alemoppo, una info ma con MySQL 8.x e PHP 8 è attivo mysqli?
    Ultima modifica di RedWebSite : 19-09-2021 alle ore 02.58.23
    alterjoomla sito web dedicato a joomla ed altervista - Tante guide per joomla anche su RedWebSite
    "C'è una fondamentale differenza tra la religione, che è basata sull'autorità, e la scienza, che è basata su osservazione e ragionamento. E la scienza vincerà perché funziona."

  7. #7
    L'avatar di alemoppo
    alemoppo non è connesso Staff AV
    Data registrazione
    24-08-2008
    Residenza
    PU / BO
    Messaggi
    19,166

    Predefinito

    Certo, mysqli è sempre disponibile.

    Ciao!

  8. #8
    darbula non è connesso AlterGuru
    Data registrazione
    24-04-2011
    Messaggi
    2,455

    Predefinito

    @alemoppo quando altervista userà Apache 2.0.56 o successivo? Effettivamente joomla in .htaccess usa erroneamente <IfVersion> https://httpd.apache.org/docs/2.0/mod/mod_version.html non lo so se ciò influisce ma se in joomla 3.x il tutto funziona anche se non esiste <IfVersion> in altervista, piuttosto è una richiesta di funzionalità e per joomla 4.x richiede Apache 2.4
    Ultima modifica di darbula : 19-09-2021 alle ore 14.53.26

Tags for this Thread

Regole di scrittura

  • Non puoi creare nuove discussioni
  • Non puoi rispondere ai messaggi
  • Non puoi inserire allegati.
  • Non puoi modificare i tuoi messaggi
  •